> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kair.is/llms.txt
> Use this file to discover all available pages before exploring further.

# Get workshops guests



## OpenAPI

````yaml /openapi.json get /workshops/{workshop_id}/guests
openapi: 3.0.0
info:
  title: Kair Voice
  version: '1.0'
servers:
  - url: http://0.0.0.0:8000/api
security: []
tags:
  - name: Admin
  - name: ApiKey
  - name: Auth
  - name: Concerns
  - name: Device
  - name: Graph
  - name: Health
  - name: Job
  - name: Session
  - name: Workshop
  - name: Workspace
paths:
  /workshops/{workshop_id}/guests:
    get:
      tags:
        - Workshop
      operationId: get-workshops-workshop-id-guests
      parameters:
        - name: workshop_id
          schema:
            type: string
            format: uuid
          in: path
          required: true
          deprecated: false
          explode: true
      responses:
        '200':
          description: ''
          content:
            application/json; charset=utf-8:
              schema:
                $ref: '#/components/schemas/WorkshopGuestsListResponse'
        '401':
          description: ''
          content:
            application/json; charset=utf-8:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '403':
          description: ''
          content:
            application/json; charset=utf-8:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '404':
          description: ''
          content:
            application/json; charset=utf-8:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
components:
  schemas:
    WorkshopGuestsListResponse:
      type: object
      title: WorkshopGuestsListResponse
      required:
        - guests
      properties:
        guests:
          type: array
          items:
            $ref: '#/components/schemas/WorkshopGuestResponse'
    ErrorResponse:
      type: object
      title: ErrorResponse
      required:
        - success
        - message
      properties:
        success:
          type: boolean
        message:
          type: string
    WorkshopGuestResponse:
      type: object
      title: WorkshopGuestResponse
      required:
        - id
        - workshop_id
        - user_id
        - email
        - display_name
        - joined_at
        - created_at
        - updated_at
      properties:
        id:
          type: string
        workshop_id:
          type: string
        user_id:
          type: string
        email:
          type: string
        display_name:
          type: string
        character_id:
          type: string
        character_name:
          type: string
        joined_at:
          type: string
        created_at:
          type: string
        updated_at:
          type: string

````